## librem5-flash-image 0.0.2

=== requirements.txt ===
coloredlogs==7.3
python-jenkins==0.4.16
PyYAML==3.13
requests==2.20.0
tqdm==4.28

=== debian/changelog ===
librem5-flash-image (0.0.2-1) unstable; urgency=medium

  * New upstream release 0.0.2
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * Upload to unstable

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sun, 07 Nov 2021 21:22:00 +0000

librem5-flash-image (0.0+git20210714-1) experimental; urgency=medium

  * Initial release. Closes: #990724

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Wed, 14 Jul 2021 16:58:06 +0000

=== debian/control ===
Source: librem5-flash-image
Section: contrib/admin
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Henry-Nicolas Tourneur <debian@nilux.be>,
 Guido Günther <agx@sigxcpu.org>,
Build-Depends:
 debhelper-compat (= 13),
 appstream,
 flake8,
 help2man,
 python3,
 python3-coloredlogs,
 python3-jenkins,
 python3-requests,
 python3-tqdm,
 python3-yaml,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://source.puri.sm/Librem5/librem5-flash-image
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/librem5-flash-image.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/librem5-flash-image

Package: librem5-flash-image
Architecture: all
Depends:
 python3,
 python3-coloredlogs,
 python3-jenkins,
 python3-requests,
 python3-tqdm,
 python3-yaml,
 usbutils,
 uuu,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Image flashing tool for Librem 5 devices and related devices
 Scripts useful to for working with the Librem 5 and the
 Librem 5 Devkit.
 .
 These tools are useful on the host side (e.g. the machine
 you use to flash the image from). They are not useful on
 the Librem 5 or the Devkit itself.

## librem5-flash-image 0.0.3

=== debian/changelog ===
librem5-flash-image (0.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 24 Feb 2023 17:53:10 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_install:
	PREFIX=/usr dh_auto_install

override_dh_auto_build:
	PREFIX=/usr dh_auto_build

override_dh_installudev:
	dh_installudev --name=librem5

execute_before_dh_installman:
	help2man -N --version-string=$(DEB_VERSION_UPSTREAM) \
		--name="Image flashing tool for Librem 5 devices" \
		scripts/librem5-flash-image > debian/librem5-flash-image.1

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/v(\d\S+)\/librem5-flash-image.*\.tar\.gz/librem5-flash-image-$1\.tar\.gz/g \
  https://source.puri.sm/Librem5/librem5-flash-image/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## librem5-flash-image 0.0.4

=== Makefile ===
#!/usr/bin/make

PREFIX ?= /usr/local

all: check

check:
	$(MAKE) -C scripts/
	$(MAKE) -C data/

install:
	$(MAKE) -C scripts/ install PREFIX=$(PREFIX)
	$(MAKE) -C data/ install PREFIX=$(PREFIX)

=== debian/changelog ===
librem5-flash-image (0.0.4-2) unstable; urgency=medium

  * data: Add missing metainfo fields (Closes: #1067089)
  * data: Avoid net access when checking metainfo
  * Fix lintian overrides
  * Bump standards version to 4.6.2

 -- Guido Günther <agx@sigxcpu.org>  Wed, 17 Apr 2024 08:25:17 +0200

librem5-flash-image (0.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 13 Jun 2023 15:07:19 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-requests,
  python3-tqdm,
  python3-yaml,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://source.puri.sm/Librem5/librem5-flash-image
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/librem5-flash-image.git

## librem5-flash-image 0.0.5

=== data/Makefile ===
DATADIR = $(PREFIX)/share
METAINFO = sm.puri.librem5-flash-image.metainfo.xml

all: check

check:
	appstreamcli validate $(METAINFO)

install:
	install -d $(DESTDIR)$(DATADIR)/metainfo
	install -v -m 0644 $(METAINFO) $(DESTDIR)$(DATADIR)/metainfo

=== scripts/Makefile ===
NULL =
SCRIPT = librem5-flash-image

SYMLINKS = \
  librem5-devkit-flash-image \
  librem5r2-flash-image \
  librem5r3-flash-image \
  librem5r4-flash-image \
  $(NULL)

BINDIR = $(PREFIX)/bin

check:
	flake8 librem5-devkit-flash-image
	python3 -m doctest librem5_flash_image.py

install:
	install -d $(DESTDIR)$(BINDIR)
	install -v -m 0755 $(SCRIPT) $(DESTDIR)$(BINDIR)
	for s in $(SYMLINKS); do \
	  ln -vsf $(SCRIPT) $(DESTDIR)$(BINDIR)/$$s ; \
	done

=== debian/changelog ===
librem5-flash-image (0.0.5-1) unstable; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * New upstream release
  * d/control: Bump Standards-Version
  * d/control: Move python3-jenkins to recommends.
    The script can now run without python-jenkins.

  [ Guido Günther ]
  * Add superficial autopkgtest

 -- Sebastian Krzyszkowiak <dos@dosowisko.net>  Thu, 27 Mar 2025 22:02:02 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-requests,
  python3-tqdm,
  python3-yaml,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://source.puri.sm/Librem5/librem5-flash-image
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/librem5-flash-image.git
@@ -27,7 +27,6 @@
 Depends:
  python3,
  python3-coloredlogs,
- python3-jenkins,
  python3-requests,
  python3-tqdm,
  python3-yaml,
@@ -35,6 +34,8 @@
  uuu,
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ python3-jenkins,
 Description: Image flashing tool for Librem 5 devices and related devices
  Scripts useful to for working with the Librem 5 and the
  Librem 5 Devkit.

=== debian/tests/control ===
Test-Command: librem5-flash-image --help
Restrictions: superficial
Depends: @

=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://source.puri.sm/Librem5/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@.tar.gz
